Page MenuHomePhabricator

Special:Watchlist should be the default not Special:EditWatchlist when you click watchlist in left menu
Closed, ResolvedPublic

Description

As a registered user, when I visit my watchlist, I want to see what's going on («Your watchlist is a display for tracking changes»), so that I can find interesting stuff and make productive edits, improving both myself and the wiki.

I. Expected: Special:Watchlist is Special:Watchlist.
II. Observed: Special:Watchlist redirects to Special:EditWatchlist, and I have to click "Edited" to see Special:Watchlist (&watchlistview=feed&filter=all).

Reported by Patafisik at https://it.wikipedia.org/w/index.php?title=Wikipedia:Pareri_su_Wikipedia&oldid=70644160#Versione_sito_mobile_scomodo_e_da_migliorare

(Again, this is not a feature request but a bug, severity normal; I can't find the component for MobileFrontend bugs, though.)

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Florian set Security to None.Feb 14 2015, 7:51 PM
Florian claimed this task.Feb 14 2015, 7:55 PM
gerritbot added a subscriber: gerritbot.

Change 190670 had a related patch set uploaded (by Florianschmidtwelzow):
Change default watchlist from a-z to feed

https://gerrit.wikimedia.org/r/190670

Patch-For-Review

The watchlist saved the last view in the user's options, but i'm agree, that the user (if he clicks on "watchlist" the first time) he assumes to see changes to his watched pages, not the list of watched changes. But i think, that the Readers-Web-Backlog team should look into it, too :)

I don't see why this is problematic, when you switch you stick on the view. We have data supporting users using both modes and no data suggesting that this a problem.

Another reason for defaulting to the EditWatchlist view is the message shown to users who have an empty watchlist.

Note, this feature is likely to be revisited/rewritten as part of the collections work anyhow. Any work here is currently wasteful imo.

The user said she was confused; don't shoot the messenger.

Could you explain what data is available? By "use", do you mean actually click something inside either special page? If so, how many end up on EditWatchlist while needing (and later clicking inside) Watchlist, and viceversa?

Another reason for defaulting to the EditWatchlist view is the message shown to users who have an empty watchlist.

Why? An empty Special:Watchlist has a helpful message about the watchlist not containing any page. Do you think it should instead redirect to Special:EditWatchlist in such a case? That would certainly be less disruptive than doing the opposite. On the other hand, I find it rather unlikely that users seeing an empty EditWatchlist end up adding pages in place: does that really happen often?

Note, this feature is likely to be revisited/rewritten as part of the collections work anyhow. Any work here is currently wasteful imo.

If the work here is killing yet another MobileFrontend aberration, I'd say that's certainly a good use of time.

Change 190670 abandoned by Florianschmidtwelzow:
Change default watchlist from a-z to feed

Reason:
Let's see, what you think :)

https://gerrit.wikimedia.org/r/190670

Jdlrobson added a subscriber: Florian.
Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptApr 8 2015, 7:00 AM
Nemo_bis added a comment.EditedApr 22 2015, 5:57 AM

Data shared by Jon seems to prove the necessity to fix this: https://lists.wikimedia.org/pipermail/mobile-l/2015-April/008996.html
98 % of users visit the watchlist for the "feed" tab. We can probably save a needless click to 98 % of users by restoring the expected behaviour.

@Nemo_bis I have no idea how you drew those conclusions from that data. I'm not sure where you get 98% of users from... Less users are using the feed tab.

(but we should clearly disentangle the two since early data suggests Gather would hopefully serve this need better)

Less users are using the feed tab.

That's predictable, because to reach the "watchlist-feed-view' (i.e. the actual watchlist page) one has to go through the "watchlist-a-z-view" (i.e. EditWatchlist page). Your additional data shows a more complex picture but still the same result: more people go from the list to the feed than the opposite, and the feed view reaches a similar amount of clicks despite its usage is discouraged by MobileFrontend by reversing the normal order of appearance of Watchlist and EditWatchlist.

Jdlrobson renamed this task from Don't override Special:Watchlist with Special:EditWatchlist to Special:Watchlist should be the default not Special:EditWatchlist when you click watchlist in left menu.Aug 4 2015, 6:40 PM
Jdlrobson moved this task from Backlog to Discussing on the MobileFrontend board.
This comment was removed by Jhernandez.

https://lists.wikimedia.org/pipermail/mobile-l/2015-April/009021.html

There's some discussion on this email thread ⬆️ with data to consider.

The data doesn't seem to back that up.
3645 [1] unique users switched from the list view to feed view.
Since 1563 [2] clicked links in the list view and 1413 [1] clicking
links in the feed that suggests to me all those users are finding both
sides of the feature (someone could do more complicated queries to
verify if any users didn't discover it if they really want). I'm thus
not worried about this being a problem.
On top of this 1173 [4] unique users also switched back from the feed
view to the list view, so people are jumping between them and finding
use in both views it seems.
[1] select count(distinct event_username) from
MobileWebWatchlistClickTracking_10720361 where timestamp >
20150401000000 and event_name = 'watchlist-a-z-switch';
[2] select count(distinct event_username) from
MobileWebWatchlistClickTracking_10720361 where timestamp >
20150401000000 and event_name = 'watchlist-a-z-view';
[3] select count(distinct event_username) from
MobileWebWatchlistClickTracking_10720361 where timestamp >
20150401000000 and event_name = 'watchlist-feed-view';
[4] select count(distinct event_username) from
MobileWebWatchlistClickTracking_10720361 where timestamp >
20150401000000 and event_name = 'watchlist-feed-switch';

On Tue, Apr 21, 2015 at 10:54 PM, Federico Leva (Nemo)
<nemowiki at gmail.com> wrote:

Jon Robson, 15/04/2015 20:25:
1117 known users have used the watchlist as a bookmarking tool for
jumping to pages [1] whereas 1090 have used it to get to diffs, so
there is thus mounting evidence to show there is a need for a reader
version of the watchlist.

...or that users are confused and don't manage to get to the *actual*
watchlist, which requires two clicks instead of one as usual.
https://phabricator.wikimedia.org/T88270
Nemo

MaxSem removed a subscriber: MaxSem.Aug 17 2015, 6:29 PM
kaldari removed a subscriber: kaldari.Aug 18 2015, 7:59 PM
jhobs closed this task as Declined.Sep 29 2016, 8:44 PM
jhobs added a subscriber: jhobs.
Nemo_bis reopened this task as Open.Oct 30 2016, 8:14 PM

The data does not say what was put in its mouth.

Scott added a comment.Oct 30 2016, 8:29 PM

Thank you.

ovasileva lowered the priority of this task from Normal to Low.Nov 7 2016, 6:14 PM
ovasileva added a subscriber: ovasileva.

@Nemo_bis - could you explain what you meant about the data?

@Nemo_bis - could you explain what you meant about the data?

Sure, I already did so above. Quoting for your convenience:

Data shared by Jon seems to prove the necessity to fix this: https://lists.wikimedia.org/pipermail/mobile-l/2015-April/008996.html
98 % of users visit the watchlist for the "feed" tab. We can probably save a needless click to 98 % of users by restoring the expected behaviour.

Less users are using the feed tab.

That's predictable, because to reach the "watchlist-feed-view' (i.e. the actual watchlist page) one has to go through the "watchlist-a-z-view" (i.e. EditWatchlist page). Your additional data shows a more complex picture but still the same result: more people go from the list to the feed than the opposite, and the feed view reaches a similar amount of clicks despite its usage is discouraged by MobileFrontend by reversing the normal order of appearance of Watchlist and EditWatchlist.

@Nemo_bis how did you arrive at this 98% value? It seems you may have misunderstood my analysis. My analysis showed more usage on the list view by unique users then the feed view.

1117 known users have used the watchlist as a bookmarking tool for jumping to pages [1] whereas 1090 have used it to get to diffs

I can't quickly tell since you use such a personal jargon in your messages, but I'll check again later and try to reconstruct the meaning of your words in MediaWiki terms.

TheDJ added a subscriber: TheDJ.EditedNov 15 2016, 8:52 AM

This also confuses the hell out of me. I NEVER use the list page, for the simple reason, that it doesn't actually tell me anything. There are 4000'ish pages on my watchlist, and only 5 fit on my iPhone screen, and by virtue of the alphabet sorting, they are the least interesting ones (deleted pages due to rename vandalism mess. [why doesn't it exclude redlinks from this view btw? those seem unlikely to fit inside the purpose of where 'readers' would actually use such a view for.]).

It remembers which watchlistview I use, why can't it remember Special:Watchlist vs Special:EditWatchlist..

also btw. what is editable about it ?

It remembers which watchlistview I use, why can't it remember Special:Watchlist vs Special:EditWatchlist..

It should do. This is captured in T150650.

A bit of history:

  • We found via research that people mistake the watchstar and use it as a reading list (I spoke about this in Wikimania 2013). Most of the watchstar users were editors with zero edit count and the then mobile web team wanted to keep them engaged with Wikipedia hoping to pull them into editing. We hypothesised this might be because the star means favourite on many websites and is more prominent on mobile.
  • Gather was supposed to fix that and early data was showing it did fix that. The plan was to remove the need for this primary view by providing proper reading lists through Gather, but, obviously, that didn't work out well so we're back where we started.
  • The watchlist as implemented is supposed to stick to the last tab you viewed to circumvent this issue, by taking users to the tab they most commonly used, so if you are an editor you should always be taken to the feed. It's editable in the sense you can unwatch items on the list, but obviously that's a little limited.

    Possible ways to go forward:
  • Keep the status quo, hope reading lists one day gets implemented
  • We completely dismiss the data and make it more difficult for users to use it as a reading list. We could remove the star from articles, reducing clutter and make clear this is an editor only feature.

Linking to a comment on the EnWP village pump from a user who's having trouble logging in here.

https://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_(technical)&oldid=749624015#Watchlist_redirect_of_mobile_view

This also confuses the hell out of me. I NEVER use the list page, for the simple reason, that it doesn't actually tell me anything. There are 4000'ish pages on my watchlist, and only 5 fit on my iPhone screen, and by virtue of the alphabet sorting, they are the least interesting ones (deleted pages due to rename vandalism mess. [why doesn't it exclude redlinks from this view btw? those seem unlikely to fit inside the purpose of where 'readers' would actually use such a view for.]).

+1, perhaps we should have a separate ticket for discussion of the problems with the view.

also btw. what is editable about it ?

As far as I can see, nothing. It shouldn't have the same name as Special:EditWatchlist on desktop, which also groups pages by namespace, which this does not.

Ladsgroup added subscribers: FriedhelmW, Volker_E.

Even though I agree readers matter to us but editors are the people who made Wikipedia great and it's breaking their user experience.

kaldari removed a subscriber: kaldari.Apr 24 2017, 9:03 PM

Change 355045 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/MobileFrontend@master] Show wtachlist feed instead of a-z if the user is an editor

https://gerrit.wikimedia.org/r/355045

Change 355484 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Add browser test for editor default view of watchlist

https://gerrit.wikimedia.org/r/355484

Change 355045 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Show watchlist feed instead of a-z if the user is an editor

https://gerrit.wikimedia.org/r/355045

Jdlrobson closed this task as Resolved.May 31 2017, 5:36 PM

https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Watchlist is defaulting to feed view when you have over 10 edits.

Qgil awarded a token.Jun 1 2017, 12:26 AM
Nemo_bis reopened this task as Open.Jun 1 2017, 2:38 PM

Thanks,

when you have over 10 edits

but it's not good to have inconsistent experiences for registered users. Please remove the editcount requirement, which means nothing in most cases.

Jdlrobson closed this task as Resolved.Jun 1 2017, 2:49 PM

This is the best we are going to get to I'm afraid until we have reading lists. Many anonymous users are using the star as a reading list. We can resolve this or decline this but either way the outcome will be the same.

Nemo_bis reopened this task as Open.Jun 1 2017, 9:43 PM

Many anonymous users are using the star as a reading list.

Sure. I said registered users.

Jdlrobson closed this task as Resolved.Jun 1 2017, 9:48 PM

That's a mistake. Should read new users not "anonymous users".

Please do not reopen this, feel free to decline if you think that reflects things better, but there are more important things to focus on now. cc @Aklapper

Nemo_bis added a comment.EditedJun 2 2017, 7:30 AM

It is not appropriate to discriminate new users, and you should stop embedding more and more discriminations in MobileFrontend.

I wonder what experience you have with real-world new users. I taught wiki courses to hundreds of new users and I can tell you it's an extremely bad experience when I have to teach them that a certain feature or interface works in a way now, but will change radically in a few days or edits due to some arbitrary discrimination embedded in the code. This doubles the effort required to learn every single thing and ends up discouraging people greatly, to the point they generally just give up using the unpredictable feature. And we can't have people do without the watchlist.

Change 355484 abandoned by Jdlrobson:
Add browser test for editor default view of watchlist

Reason:
Folded into parent

https://gerrit.wikimedia.org/r/355484

If the point is that only *editors* have a need for watchlist (to see followups to their edits), then the threshold should be 1 edit, not 10. 10 is an arbitrary number.

If the point is that only *editors* have a need for watchlist (to see followups to their edits), then the threshold should be 1 edit, not 10. 10 is an arbitrary number.

That's was the point and you also make a fair point.

I'm happy for us to bump MFWatchlistEditCountThreshold down to 1 either via config change or preferably inside the extension itself.